com.independentsoft.exchange

## Enum Sensitivity

- java.lang.Object
- - java.lang.Enum<Sensitivity>
  - - com.independentsoft.exchange.Sensitivity

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Sensitivity>

      public enum Sensitivity
      extends java.lang.Enum<Sensitivity>

  Indicates the sensitivity level of an item.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONFIDENTIAL` Confidential sensitivity.
    `NONE` No sensitivity specified.
    `NORMAL` Normal sensitivity.
    `PERSONAL` Personal sensitivity.
    `PRIVATE` Private sensitivity.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Sensitivity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Sensitivity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final Sensitivity NORMAL

      Normal sensitivity.

    - #### PERSONAL

          public static final Sensitivity PERSONAL

      Personal sensitivity.

    - #### PRIVATE

          public static final Sensitivity PRIVATE

      Private sensitivity.

    - #### CONFIDENTIAL

          public static final Sensitivity CONFIDENTIAL

      Confidential sensitivity.

    - #### NONE

          public static final Sensitivity NONE

      No sensitivity specified.

  - ### Method Detail

    - #### values

          public static Sensitivity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Sensitivity c : Sensitivity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Sensitivity valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null